I Can't Launch MCreator!

Published by ALEX_COOLE on Mon, 03/12/2018 - 22:36
Status
Works as designed
Type
Product/platform
MCreator/macOS
Priority
Normal
Issue description

   Error Log

 \/
Executing gradle command: cleanCache clean setupDecompWorkspace --refresh-dependencies
Support for running Gradle using Java 6 has been deprecated and will be removed in Gradle 3.0
FAILURE: Build failed with an exception.
* Where:
Build file '/Users/Nelmarie/Downloads/MCreator 1/forge/build.gradle' line: 10
* What went wrong:
A problem occurred evaluating root project 'forge'.
> java.lang.UnsupportedClassVersionError: net/minecraftforge/gradle/user/patcherUser/forge/ForgePlugin : Unsupported major.minor version 52.0
* Try:
Run with --stacktrace option to get the stack trace. Run with --info or --debug option to get more log output.
BUILD FAILED
Total time: 13.61 secs

Task completed with return code 1 in 14447 milliseconds

Issue comments

Your default version of Java needs to be a Java 8 release. This is why MCreator fails to setup.



Donate to MCreator

By donating to developers you can speed up development, as with more resources, we can dedicate more time to MCreator. It is a free project made by developers working on it in their free time.